
From: Jeff Dike <jdike@addtoit.com>

Signed-off-by: Jeff Dike <jdike@addtoit.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/um/kernel/irq.c |    4 ++--
 25-akpm/arch/um/kernel/smp.c |    2 +-
 2 files changed, 3 insertions(+), 3 deletions(-)

diff -puN arch/um/kernel/irq.c~uml-change-for_each_cpu-to-for_each_online_cpu arch/um/kernel/irq.c
--- 25/arch/um/kernel/irq.c~uml-change-for_each_cpu-to-for_each_online_cpu	2005-01-16 23:27:53.460524400 -0800
+++ 25-akpm/arch/um/kernel/irq.c	2005-01-16 23:27:53.467523336 -0800
@@ -45,7 +45,7 @@ int show_interrupts(struct seq_file *p, 
 
 	if (i == 0) {
 		seq_printf(p, "           ");
-		for_each_cpu(j)
+		for_each_online_cpu(j)
 			seq_printf(p, "CPU%d       ",j);
 		seq_putc(p, '\n');
 	}
@@ -59,7 +59,7 @@ int show_interrupts(struct seq_file *p, 
 #ifndef CONFIG_SMP
 		seq_printf(p, "%10u ", kstat_irqs(i));
 #else
-		for_each_cpu(j)
+		for_each_online_cpu(j)
 			seq_printf(p, "%10u ", kstat_cpu(j).irqs[i]);
 #endif
 		seq_printf(p, " %14s", irq_desc[i].handler->typename);
diff -puN arch/um/kernel/smp.c~uml-change-for_each_cpu-to-for_each_online_cpu arch/um/kernel/smp.c
--- 25/arch/um/kernel/smp.c~uml-change-for_each_cpu-to-for_each_online_cpu	2005-01-16 23:27:53.462524096 -0800
+++ 25-akpm/arch/um/kernel/smp.c	2005-01-16 23:27:53.467523336 -0800
@@ -247,7 +247,7 @@ int smp_call_function(void (*_func)(void
 	func = _func;
 	info = _info;
 
-	for_each_cpu(i)
+	for_each_online_cpu(i)
 		os_write_file(cpu_data[i].ipi_pipe[1], "C", 1);
 
 	while (atomic_read(&scf_started) != cpus)
_
